function automanuStyleimg(value) {
	var value = value.toLowerCase().trim();
	switch (value) {
		case 'button':
			return 'Button';
			break;
		case 'circle':
			return 'Circle';
			break;
		default:
			return 'Circle';
	}
}

function automanuNormalize(text) {
	// https://regex101.com/#javascript          
	var pattAuto = /^(.*(on|auto)[0-9]*)$/;
	var pattManu = /^(.*(off|manu)[0-9]*)$/;
	var text_norm = text.toLowerCase().replace('<br/>','').replace('<br>','').trim();
	if (pattAuto.test(text_norm) || text_norm > 0) {
		return 'auto';
	}
	if (pattManu.test(text_norm) || text_norm == 0) {
		return 'manu'; 
	}
	return text_norm;
}

function automanuInline(widgetam) {
	var tuileam = $(widgetam).closest('.eqLogic-widget');
	$(widgetam).addClass('inline');
	$('div.automanuDivConteneur, span.automanuName, span.automanuAction', widgetam).addClass('inline');
	$('span.automanuAction br', widgetam).remove();
	var widthName = $('div span.automanuName', widgetam)[0].clientWidth + $('div span.automanuAction', widgetam).width()
	$('div.cmd',widgetam.parent()[0]).each(function(){
		var newWidth = $('span.automanuName',this).width()+$('div span.automanuAction', widgetam).width();
		if( $('div.automanuDivConteneur', widgetam).width() < newWidth ){   
			$('div.automanuDivConteneur', tuileam).css('min-width',newWidth);
		}
	});	
}
